summaryrefslogtreecommitdiffstats
path: root/jjb
diff options
context:
space:
mode:
authorTim Rozet <trozet@redhat.com>2018-08-01 14:36:09 -0400
committerTim Rozet <trozet@redhat.com>2018-08-01 14:40:07 -0400
commit27d43c8829c848f81251f5c01c50a8bcde941ee8 (patch)
treebedb03f0756a0b79c39294d7ffaffd5c82620202 /jjb
parentd295d714eb425ce59fe11f2dd30963beabcb04b7 (diff)
Apex: Fix stale GS pulls on artifacts
There seems to be some delay in updating the HTTP server for GS which causes an old version of snapshot to be used. This change replaces using HTTP with gsutil to ensure we get the latest artifacts Change-Id: Iccca64aa9e904221621dfb2cb7471d24a3b3f4d9 Signed-off-by: Tim Rozet <trozet@redhat.com>
Diffstat (limited to 'jjb')
-rw-r--r--jjb/apex/apex-snapshot-deploy.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/jjb/apex/apex-snapshot-deploy.sh b/jjb/apex/apex-snapshot-deploy.sh
index 1e47c8297..bd023f558 100644
--- a/jjb/apex/apex-snapshot-deploy.sh
+++ b/jjb/apex/apex-snapshot-deploy.sh
@@ -25,10 +25,10 @@ pushd ci > /dev/null
sudo opnfv-clean
popd > /dev/null
-full_snap_url=http://$GS_URL/${OS_VERSION}/${TOPOLOGY}
+full_snap_url="gs://${GS_URL}/${OS_VERSION}/${TOPOLOGY}"
echo "Downloading latest snapshot properties file"
-if ! wget -O $WORKSPACE/opnfv.properties ${full_snap_url}/snapshot.properties; then
+if ! gsutil cp ${full_snap_url}/snapshot.properties $WORKSPACE/opnfv.properties; then
echo "ERROR: Unable to find snapshot.properties at ${full_snap_url}...exiting"
exit 1
fi
@@ -68,7 +68,7 @@ if [ "$local_snap_checksum" != "$latest_snap_checksum" ]; then
echo "INFO: SHA mismatch, will download latest snapshot"
# wipe cache
rm -rf ${SNAP_CACHE}/*
- wget --directory-prefix=${SNAP_CACHE}/ ${snap_url}
+ gsutil cp "gs://${snap_url}" ${SNAP_CACHE}/
snap_tar=$(basename ${snap_url})
else
snap_tar=${latest_snap}